import {httpApi} from "../../request/httpApi";

export default {
    //查询内业资料进度
    async queryMaterialProgress(form, msg = true) {
        return httpApi({
            url: '/api/blade-business/materialProgress/queryMaterialProgress',
            method: 'post',
            params: form
        }, msg);
    },
    //报表资料审批统计
    async queryMaterialProgressStatus(form, msg = true) {
        return httpApi({
            url: '/api/blade-business/materialProgress/queryMaterialProgressStatus',
            method: 'post',
            params: form
        }, msg);
    },
    //声像媒体资料统计
    async queryImageClassification(form, msg = true) {
        return httpApi({
            url: '/api/blade-business/materialProgress/queryImageClassification',
            method: 'post',
            params: form
        }, msg);
    },
    //资料进度
    async queryContractTreeMaterialProgress(form, msg = true) {
        return httpApi({
            url: '/api/blade-business/materialProgress/queryContractTreeMaterialProgress',
            method: 'post',
            params: form
        }, msg);
    },
    // 内外业进度
    async queryNeiWaiYeProgress(form, msg = true) {
        return httpApi({
            url: '/api/blade-business/neiWaiYeProgressController/neiWaiYeProgress',
            method: 'get',
            params: form
        }, msg);
    },
}
